<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--mybatis-3-mapper.dtd:约束文件的名称，限制和检查在当前文件中出现的标签和属性符合mybatis的要求-->
<!--namespace：命名空间，要有唯一的值，要求使用dao接口的权限定名称（一个dao接口对应一个mapper，namespace指明对应哪个dao接口）-->
<mapper namespace="com.ruoyi.test.mapper.MarkedtestMapper">
    <!-- 所有的数据库操作都要写在mapper标签中，可以使用特定的标签表示数据库中的特定操作 -->

    <insert id="addmarkedtest" parameterType="Markedtest">
        insert into markedtest(
                               sender_id,
                               testid,
                               score,
                               totalscore,
                               tquestions,
                               totalquestions,
                               time,
                               finishtime,
                               status
        )values (
                 #{markedtest.senderId},
                 #{markedtest.testid},
                 #{markedtest.score},
                 #{markedtest.totalscore},
                 #{markedtest.tquestions},
                 #{markedtest.totalquestions},
                 #{markedtest.time},
                 #{markedtest.finishtime}
                 #{markedtest.status}
                        )
    </insert>

    <!-- 批量更新状态 -->
    <update id="updateStatusBatch">
        UPDATE markedtest
        SET status = 1
        WHERE testid = #{testid}
        AND sender_id IN
        <foreach item="item" collection="list" open="(" separator="," close=")">
            #{item}
        </foreach>
    </update>


</mapper>
